<div class="flex flex-col flex-auto items-center sm:min-w-0" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="font-Semibold-40 font-141461 leading-none mt-6 sm:px-6 mb-8" style="text-align:center">Transfer
                Confirmation</div>
        </div>
    </div>

    <div class="w-full items-center justify-center max-w-100  mb-10 mx-auto sm:mx-0 box-width">
        <div class="">
            <form action="">
                <div class="bg-card rounded-1xl shadow overflow-hidden">
                    <div class="px-7 items-center justify-center" style="text-align:left">
                        <div class="">
                            <div class="font-Medium-18 font-7B7B7B mt-7" style="text-align:center !important;">
                                Cash Wallet Balance</div>
                            <div class="font-Medium-18" style="text-align:center !important;">RM{{ availAmount | number : "1.2-2" }}</div>
                        </div>
                        <div class="flex items-center my-7">
                            <div class="flex-auto border-t"></div>
                        </div>
                        <div class="pb-1">
                            <div class="font-Regular-16 font-7B7B7B">Transfer To
                            </div>
                        </div>
                        <div class="pb-1">
                            <div class="font-Semibold-16">{{receiverName}}
                            </div>
                        </div>
                        <div class="pb-7">
                            <div class="font-Regular-14 font-7B7B7B">{{transAccNum}}
                            </div>
                        </div>
                        <div class="flex items-center mb-7">
                            <div class="flex-auto border-t"></div>
                        </div>
                        <div class="pb-5">
                            <div class="font-Semibold-18">Transfer Details</div>
                        </div>
                        <div class="pb-5">
                            <div class="font-Regular-16 font-7B7B7B">Date</div>
                            <div class="font-Semibold-16">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>
                        </div>
                        <div class="pb-5">
                            <div class="font-Regular-16 font-7B7B7B">Reason for Transferring</div>
                            <div class="font-Semibold-16">{{transferReason}}</div>
                        </div>
                        <div class="pb-5">
                            <div class="font-Regular-16 font-7B7B7B">Price per Gram</div>
                            <div class="font-Semibold-16">{{unitPrice | currency: 'RM'}}/g</div>
                        </div>
                        <div class="pb-5">
                            <div class="font-Regular-16 font-7B7B7B">Quantity</div>
                            <div class="font-Semibold-16">{{ amountValue | number:'1.6-6' }}g</div>
                        </div>
                        <div class="pb-5">
                            <div class="font-Regular-16 font-7B7B7B">Transfer Fee Sender {{setupTF}}%</div>
                            <div class="font-Semibold-16">{{ chargeTF| currency:'RM' }}</div>
                        </div>
                        <div class="pb-7">
                            <div class="font-Regular-16 font-7B7B7B">SST {{setupSST}}%</div>
                            <div class="font-Semibold-16">{{ chargeSST| currency:'RM' }}</div>
                        </div>
                        <div class="border-t mb-7"></div>
                        <div class="pb-5">
                            <div class="font-Regular-16 font-7B7B7B">Total Payable Amount</div>
                            <div class="font-Semibold-16">{{ totalAmount | currency:'RM' }}</div>
                        </div>

                        <div class="inline-flex items-end w-full mt-1.5">
                            <mat-checkbox class="-ml-2" [color]="'primary'" (change)="toggleCheckbox()">
                                <span>By continuing, I fully comply with </span>
                                <a class="ml-1 underline" style="color:#0038FF;" [routerLink]="['/termcondition']">Terms &
                                    Condition</a>
                                <span> which I have read and understand.</span>
                            </mat-checkbox>
                        </div>

                        <div class="relative flex flex-col flex-auto items-center w-auto mb-7 mt-5">
                            <button mat-flat-button class="fuse-mat-button-large w-full mt-6 mb-6 button-r5-disable button-r5"
                                [disabled]="!checkboxChecked || disableButton" (click)="nextButton()">
                                <span class="font-Semibold-14">Transfer Now</span>
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>